Nautilus crashes in g_free -> g_bookmark_file_move_item -> gtk_recent_manager_move_item -> nautilus_recent_update_file_moved

Bug #1760569 reported by Karl Foley on 2018-04-02
44
This bug affects 4 people
Affects Status Importance Assigned to Milestone
glib2.0 (Ubuntu)
Medium
Marco Trevisan (Treviño)
Bionic
Medium
Iain Lane
nautilus (Ubuntu)
Medium
Marco Trevisan (Treviño)
Bionic
Undecided
Unassigned

Bug Description

[ Description ]

A crasher when using nautilus. No clear reproducer.

[ QA ]

Under the GNOME MRE, believe all bugs that upstream says are fixed are really fixed without explicitly verifying them.

https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

Make sure nautilus works, and that the error tracker buckets listed below at least don't increase more rapidly (but hopefully tail off with the new version)

[ Regression potential ]

It's GLib. A regression could break the whole desktop, or any part of it... Our QA should help us have confidence that the update is at least not that bad.

[ Original description ]

Happens when there's a "rename" to a file to its same value, no known reproducer though.

Upstream fix: https://gitlab.gnome.org/GNOME/glib/merge_requests/456

https://errors.ubuntu.com/problem/1aa40f9ef3a1f77a05e71d0a69351c2ae5a7fb45
https://errors.ubuntu.com/problem/9f0f3a1aee06700bc4ac107754f909801c4641b9

ProblemType: CrashDistroRelease: Ubuntu 18.04
Package: nautilus 1:3.26.3-0ubuntu1
ProcVersionSignature: Ubuntu 4.15.0-13.14-generic 4.15.10
Uname: Linux 4.15.0-13-generic x86_64
ApportVersion: 2.20.9-0ubuntu2
Architecture: amd64
AssertionMessage: munmap_chunk(): invalid pointer
CurrentDesktop: ubuntu:GNOME
Date: Mon Apr 2 09:04:45 2018
ExecutablePath: /usr/bin/nautilus
GsettingsChanges:
 b'org.gnome.nautilus.preferences' b'default-folder-viewer' b"'list-view'"
 b'org.gnome.nautilus.window-state' b'sidebar-width' b'223'
 b'org.gnome.nautilus.window-state' b'geometry' b"'890x550+117+77'"
 b'org.gnome.nautilus.window-state' b'maximized' b'true'
InstallationDate: Installed on 2018-03-31 (2 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Alpha amd64 (20180329)
ProcCmdline: /usr/bin/nautilus --gapplication-service
ProcEnviron:
 XDG_RUNTIME_DIR=<set>
 SHELL=/bin/bash
 LANGUAGE=en_GB:en
 PATH=(custom, no user)
 LANG=en_GB.UTF-8Signal: 6SourcePackage: nautilus
StacktraceTop:
 __libc_message (action=action@entry=do_abort, fmt=fmt@entry=0x7f1a46fcfb9a "%s\n") at ../sysdeps/posix/libc_fatal.c:181
 malloc_printerr (str=str@entry=0x7f1a46fd17a8 "munmap_chunk(): invalid pointer") at malloc.c:5350
 munmap_chunk (p=0x55f2e55b71f0) at malloc.c:2846
 __GI___libc_free (mem=0x55f2e55b7200) at malloc.c:3117
 g_bookmark_file_move_item () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
Title: nautilus assert failure: munmap_chunk(): invalid pointer
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
usr_lib_nautilus:

Related branches

Karl Foley (u-karl) wrote :

StacktraceTop:
 __libc_message (action=action@entry=do_abort, fmt=fmt@entry=0x7f1a46fcfb9a "%s\n") at ../sysdeps/posix/libc_fatal.c:181
 malloc_printerr (str=str@entry=0x7f1a46fd17a8 "munmap_chunk(): invalid pointer") at malloc.c:5350
 munmap_chunk (p=0x55f2e55b71f0) at malloc.c:2846
 __GI___libc_free (mem=0x55f2e55b7200) at malloc.c:3117
 g_free (mem=<optimized out>) at ../../../../glib/gmem.c:194

Changed in nautilus (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace

Thank you for taking the time to report this bug and helping to make Ubuntu better. Please answer these questions:
* Is this reproducible?
* If so, what specific steps should we take to recreate this bug?

This will help us to find and resolve the problem.

Changed in nautilus (Ubuntu):
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for nautilus (Ubuntu) because there has been no activity for 60 days.]

Changed in nautilus (Ubuntu):
status: Incomplete → Expired
information type: Private → Public
Changed in nautilus (Ubuntu):
status: Expired → Triaged
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
summary: - nautilus assert failure: munmap_chunk(): invalid pointer
+ Nautilus crashes in g_free -> g_bookmark_file_move_item ->
+ gtk_recent_manager_move_item -> nautilus_recent_update_file_moved
description: updated
Changed in glib2.0 (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Marco Trevisan (Treviño) (3v1n0)
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nautilus - 1:3.26.4-0ubuntu8

---------------
nautilus (1:3.26.4-0ubuntu8) disco; urgency=medium

  * d/p/0016-search-engine-add-a-recent-search-engine-listing-Gtk.patch:
    - Don't start a new search thread until the one running is over
      (LP: #1774587)
  * d/p/0017-recent-add-function-to-update-manager-on-file-rename.patch:
    - Do not try to update the position of a recent file if it didn't change
      (LP: #1760569)

 -- Marco Trevisan (Treviño) <email address hidden> Thu, 08 Nov 2018 02:32:03 -0600

Changed in nautilus (Ubuntu):
status: Triaged → Fix Released
Changed in glib2.0 (Ubuntu):
status: In Progress → Fix Released
Iain Lane (laney) on 2019-02-19
Changed in nautilus (Ubuntu Bionic):
status: New → Invalid
Changed in glib2.0 (Ubuntu Bionic):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Iain Lane (laney)
Iain Lane (laney) on 2019-02-26
description: updated
Changed in glib2.0 (Ubuntu Bionic):
status: Triaged → In Progress
Iain Lane (laney) wrote :

uploaded to the SRU queue, now we wait

Hello Karl, or anyone else affected,

Accepted glib2.0 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/glib2.0/2.56.4-0ubuntu0.18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in glib2.0 (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-bionic
Timo Aaltonen (tjaalton) wrote :

Hello Karl, or anyone else affected,

Accepted glib2.0 into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/glib2.0/2.56.4-0ubuntu0.18.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Run test for test_move_item inside glib 2.56.4-0ubuntu0.18.04.2 and it works as expected.

tags: added: verification-done verification-done-bionic
removed: verification-needed verification-needed-bionic
Mathew Hodson (mathew-hodson) wrote :

Does bionic need an update of nautilus as well?

Nope, glib fix is enough for nautilus.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glib2.0 - 2.56.4-0ubuntu0.18.04.2

---------------
glib2.0 (2.56.4-0ubuntu0.18.04.2) bionic; urgency=medium

  * Backport upstream patches to fix GVariant alignment tests
    d/p/gvariant-test-Also-force-alignment-for-tuple-test-data.patch,
    d/p/tests-Allocate-gvariant-data-from-the-heap-to-guarantee-a.patch:
    Cherry-pick.

glib2.0 (2.56.4-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream release (LP: #1816547)
    + Various buffer overflow fixes in GMarkup/GVariant/GDBus
    + Fix "Moving a bookmark item to the same URI causes a crash" (LP:
      #1760569)
  * debian/libglib2.0-0.symbols: New symbols

 -- Iain Lane <email address hidden> Fri, 22 Mar 2019 12:17:34 +0000

Changed in glib2.0 (Ubuntu Bionic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for glib2.0 has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers